Ankündigung

Einklappen
Keine Ankündigung bisher.

Laravel upgrade von 5.2 auf 5.3 auf 5.4

Einklappen
X
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • [Laravel] Laravel upgrade von 5.2 auf 5.3 auf 5.4

    Hallo,

    Ich bin jetzt von xampp mit PHP 5.5 auf bitnami xampp mit PHP 7 umgestiegen. Meine Tests mit der neuen
    PHP Version sind gut verlaufen.

    Ich möchte nun auch laravel auf den neuesten Stand bringen. Zuerst einmal auf Version 5.3 und dann auf 5.4.

    Die Doku dazu habe ich bereits gelesen. Was mich interessieren würde ist nun ob jemand von Euch bereits Erfahrung
    damit gemacht hat und ob das mehr oder weniger problemlos vonstatten ging.

    Ich habe nähmlich die Angst das ich nun tagelang nur mit Fehlerbehebung beschäftigt bin.

    Folgende Packages sind bei mir installiert:

    Code:
        "require": {
            "php": ">=5.5.9",
            "laravel/framework": "5.2.*",
            "flynsarmy/csv-seeder": "1.*",
            "laravelcollective/html": "^5.2",
            "tplaner/when": "^2.0",
            "jeroen-g/laravel-packager": "^1.5"
        },
        "require-dev": {
            "fzaninotto/faker": "~1.4",
            "mockery/mockery": "0.9.*",
            "phpunit/phpunit": "~4.0",
            "symfony/css-selector": "2.8.*|3.0.*",
            "symfony/dom-crawler": "2.8.*|3.0.*"
        },
    Auf jeroen-g/laravel-packager kann ich ich verzichten aber nicht auf die anderen.
    Möglicherweise auch kann ich auch auf fzaninotto/faker verzichten, wenn er nicht von einem
    anderen Framework verwendet wird.

    Danke,
    Reinhard

Lädt...
X